Function
create
Makes an object to owner of its content.
create(holder [, object])
create(target, source [, limit] [,resize_tag])
Include Headers
seqan/basic.h, seqan/sequence.h
Parameters

holder | A holder object. Types: Holder
object | Object from which a copy is made and stored in holder. (optional) Types: Value<Holder>::Type
target | Gets a copy of the content of source. Types: CStyle String
source | Is copied to target.
limit | The maximal length of target after the operation. (optional)
resize_tag | Specifies the strategy that is applied if target has not enough capacity to store the complete content. (optional) Types: Overflow Strategy Default: Specified by DefaultOverflowImplicit of the target type.

Remarks
After this operation, holder will be in state 'owner'. If object is specified, holder will hold a copy of object at the end of this function. If object is not specified, the action depends on the former state of holder:
- If the state of holder was 'empty', a new object is default constructed and stored into holder.
- If the state of holder was 'dependent', a copy of the former object is made and stored into holder.
- If the state of holder was already 'owner', nothing happens.
It is guaranteed, that after calling this function source and target can be used independently.
Member of
CStyle String, Holder
See Also
CStyle String, createHost, detach, Holder
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58